# Interface for submodule: QuadEdge
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: QuadEdge
from ._proxies import QuadEdgeProxy as _QuadEdgeProxy
class _QuadEdgeTemplate(_itkTemplate):
    """Interface for instantiating itk::QuadEdge"""

    def __new__(cls, *args: Any) -> _QuadEdgeProxy:
        """Instantiate itk::QuadEdge"""
        ...

    def __call__(self, *args: Any) -> _QuadEdgeProxy:
        """Instantiate itk::QuadEdge"""
        ...

QuadEdge = _QuadEdgeTemplate

